Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# BulletBodyNode Class Reference

Inheritance diagram for BulletBodyNode:

List of all members.

## Public Member Functions
| addShape (BulletShape shape, TransformState const xform)
| addShape (BulletShape shape)
| addShapesFromCollisionSolids (CollisionNode cnode)
bool | checkCollisionWith (PandaNode node)
VBase3 | getAnisotropicFriction ()
float | getCcdMotionThreshold ()
float | getCcdSweptSphereRadius ()
bool | getCollisionResponse ()
float | getContactProcessingThreshold ()
float | getDeactivationTime ()
float | getFriction ()
int | getNumShapes ()
float | getRestitution ()
BulletShape | getShape (int idx)
Mat4 | getShapeMat (int idx)
Point3 | getShapePos (int idx)
list | getShapes ()
bool | hasAnisotropicFriction ()
bool | hasContactResponse ()
bool | isActive ()
bool | isDeactivationEnabled ()
bool | isDebugEnabled ()
| Returns TRUE if the debug visualisation is enabled for this collision object, and FALSE if the debug visualisation is disabled.
bool | isKinematic ()
bool | isStatic ()
bool | notifiesCollisions ()
| notifyCollisions (bool value)
| removeShape (BulletShape shape)
| setActive (bool active, bool force)
| setActive (bool active)
| setAnisotropicFriction (VBase3 const friction)
| setCcdMotionThreshold (float threshold)
| setCcdSweptSphereRadius (float radius)
| setCollisionResponse (bool value)
| setContactProcessingThreshold (float threshold)
| The constraint solver can discard solving contacts, if the distance is above this threshold.
| setDeactivationEnabled (bool enabled)
| setDeactivationEnabled (bool enabled, bool force)
| setDeactivationTime (float dt)
| setDebugEnabled (bool enabled)
| Enables or disables the debug visualisation for this collision object.
| setFriction (float friction)
| setIntoCollideMask (BitMaskunsigned int, 32 mask)
| setKinematic (bool value)
| setRestitution (float restitution)
| setStatic (bool value)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Member Function Documentation

addShape | ( | BulletShape | shape,
|  | TransformState const | xform
| ) |  |

addShape | ( | BulletShape | shape | ) |

addShapesFromCollisionSolids | ( | CollisionNode | cnode | ) |

bool checkCollisionWith | ( | PandaNode | node | ) |

VBase3 getAnisotropicFriction | ( |  | ) |

float getCcdMotionThreshold | ( |  | ) |

float getCcdSweptSphereRadius | ( |  | ) |

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented in BulletGhostNode, BulletRigidBodyNode, and BulletSoftBodyNode.

bool getCollisionResponse | ( |  | ) |

float getContactProcessingThreshold | ( |  | ) |

float getDeactivationTime | ( |  | ) |

float getFriction | ( |  | ) |

int getNumShapes | ( |  | ) |

float getRestitution | ( |  | ) |

BulletShape getShape | ( | int | idx | ) |

Mat4 getShapeMat | ( | int | idx | ) |

Point3 getShapePos | ( | int | idx | ) |

list getShapes | ( |  | ) |

bool hasAnisotropicFriction | ( |  | ) |

bool hasContactResponse | ( |  | ) |

bool isActive | ( |  | ) |

bool isDeactivationEnabled | ( |  | ) |

bool isDebugEnabled | ( |  | ) |

Returns TRUE if the debug visualisation is enabled for this collision object, and FALSE if the debug visualisation is disabled.

bool isKinematic | ( |  | ) |

bool isStatic | ( |  | ) |

bool notifiesCollisions | ( |  | ) |

notifyCollisions | ( | bool | value | ) |

removeShape | ( | BulletShape | shape | ) |

setActive | ( | bool | active,
|  | bool | force
| ) |  |

setActive | ( | bool | active | ) |

setAnisotropicFriction | ( | VBase3 const | friction | ) |

setCcdMotionThreshold | ( | float | threshold | ) |

setCcdSweptSphereRadius | ( | float | radius | ) |

setCollisionResponse | ( | bool | value | ) |

setContactProcessingThreshold | ( | float | threshold | ) |

The constraint solver can discard solving contacts, if the distance is above this threshold.

setDeactivationEnabled | ( | bool | enabled | ) |

setDeactivationEnabled | ( | bool | enabled,
|  | bool | force
| ) |  |

setDeactivationTime | ( | float | dt | ) |

setDebugEnabled | ( | bool | enabled | ) |

Enables or disables the debug visualisation for this collision object.

By default the debug visualisation is enabled.

setFriction | ( | float | friction | ) |

setIntoCollideMask | ( | BitMaskunsigned | int,
|  | 32 | mask
| ) |  |

setKinematic | ( | bool | value | ) |

setRestitution | ( | float | restitution | ) |

setStatic | ( | bool | value | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties